presage.h File Reference
`#include "presageException.h"`
`#include "presageCallback.h"`
`#include <string>`
`#include <vector>`
`#include <map>`
Include dependency graph for presage.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | Presage
| Presage, the intelligent predictive text entry platform. More...

## Typedefs

typedef struct _presage * | presage_t

## Functions

presage_error_code_t | presage_new (_presage_callback_get_past_stream past_stream_cb, void *past_stream_cb_arg, _presage_callback_get_future_stream future_stream_cb, void *future_stream_cb_arg, presage_t *result)
presage_error_code_t | presage_new_with_config (_presage_callback_get_past_stream past, void *past_stream_cb_arg, _presage_callback_get_future_stream future_stream_cb, void *future_stream_cb_arg, const char *config, presage_t *result)
void | presage_free (presage_t prsg)
void | presage_free_string (char *str)
void | presage_free_string_array (char **str)
presage_error_code_t | presage_predict (presage_t prsg, char ***result)
presage_error_code_t | presage_learn (presage_t prsg, const char *text)
presage_error_code_t | presage_completion (presage_t prsg, const char *token, char **result)
presage_error_code_t | presage_context (presage_t prsg, char **result)
presage_error_code_t | presage_context_change (presage_t prsg, int *result)
presage_error_code_t | presage_prefix (presage_t prsg, char **result)
presage_error_code_t | presage_config (presage_t prsg, const char *variable, char **result)
presage_error_code_t | presage_config_set (presage_t prsg, const char *variable, const char *value)
presage_error_code_t | presage_save_config (presage_t prsg)

## Typedef Documentation

## presage_t

typedef struct _presage* presage_t

Definition at line 271 of file presage.h.

## Function Documentation

## presage_completion()

presage_error_code_t presage_completion | ( | presage_t | prsg,
|  | const char * | token,
|  | char ** | result )

Definition at line 407 of file presage.cpp.

References alloc_c_str(), Presage::completion(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_config()

presage_error_code_t presage_config | ( | presage_t | prsg,
|  | const char * | variable,
|  | char ** | result )

Definition at line 439 of file presage.cpp.

References alloc_c_str(), Presage::config(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_config_set()

presage_error_code_t presage_config_set | ( | presage_t | prsg,
|  | const char * | variable,
|  | const char * | value )

Definition at line 447 of file presage.cpp.

References Presage::config(), presage_exception_handler, and _presage::presage_object.

Here is the call graph for this function:

## presage_context()

presage_error_code_t presage_context | ( | presage_t | prsg,
|  | char ** | result )

Definition at line 415 of file presage.cpp.

References alloc_c_str(), Presage::context(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_context_change()

presage_error_code_t presage_context_change | ( | presage_t | prsg,
|  | int * | result )

Definition at line 423 of file presage.cpp.

References Presage::context_change(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_free()

void presage_free | ( | presage_t | prsg | ) |

Definition at line 347 of file presage.cpp.

References _presage::presage_callback_object, and _presage::presage_object.

## presage_free_string()

void presage_free_string | ( | char * | str | ) |

Definition at line 358 of file presage.cpp.

## presage_free_string_array()

void presage_free_string_array | ( | char ** | str | ) |

Definition at line 363 of file presage.cpp.

## presage_learn()

presage_error_code_t presage_learn | ( | presage_t | prsg,
|  | const char * | text )

Definition at line 399 of file presage.cpp.

References Presage::learn(), presage_exception_handler, and _presage::presage_object.

Here is the call graph for this function:

## presage_new()

presage_error_code_t presage_new | ( | _presage_callback_get_past_stream | past_stream_cb,
|  | void * | past_stream_cb_arg,
|  | _presage_callback_get_future_stream | future_stream_cb,
|  | void * | future_stream_cb_arg,
|  | presage_t * | result )

Definition at line 304 of file presage.cpp.

References presage_exception_handler_with_result.

## presage_new_with_config()

presage_error_code_t presage_new_with_config | ( | _presage_callback_get_past_stream | past,
|  | void * | past_stream_cb_arg,
|  | _presage_callback_get_future_stream | future_stream_cb,
|  | void * | future_stream_cb_arg,
|  | const char * | config,
|  | presage_t * | result )

Definition at line 325 of file presage.cpp.

References config, and presage_exception_handler_with_result.

## presage_predict()

presage_error_code_t presage_predict | ( | presage_t | prsg,
|  | char *** | result )

Definition at line 373 of file presage.cpp.

References Presage::predict(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_prefix()

presage_error_code_t presage_prefix | ( | presage_t | prsg,
|  | char ** | result )

Definition at line 431 of file presage.cpp.

References alloc_c_str(), Presage::prefix(), presage_exception_handler_with_result, and _presage::presage_object.

Here is the call graph for this function:

## presage_save_config()

presage_error_code_t presage_save_config | ( | presage_t | prsg | ) |

Definition at line 455 of file presage.cpp.

References presage_exception_handler, _presage::presage_object, and Presage::save_config().

Here is the call graph for this function: